Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mapping
Class NREP_MS

    java.lang.Object
      mapping.MappingScheme
          mapping.NREP_MS

    public class NREP_MS

extends MappingScheme

A very minor change to the FCFS_MS class which allows the cancel flags to be used.

Author:
  Majd Kokaly and Ben Kybartas

Constructor Summary
`NREP_MS(Mapper mapper)` A default constructor.

Method Summary
`boolean` | `failuresOccur()`
`void` | `handleJobTimeOut(long jobID)` The job is resubmitted when a timeout happens.
`void` | `serverIsDown(int serverID)` NREP policy is not sensitive for availability/unavailability events, thus this method is not implemented.
`void` | `serverIsUp(int serverID)` NREP policy is not sensitive.
`void` | `startMappingScheme()` In this method the queue is constructed and the NREP_MS_Thread is initialized and started.
`void` | `stopMappingScheme()` The NREP_MS_Thread is stopped.

Methods inherited from class mapping.MappingScheme
`getDescription, getMapper, setDescription, setMapper`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NREP_MS

    public NREP_MS(Mapper mapper)

  A default constructor.

  Parameters:
    `mapper` - The mapper object

Method Detail

### startMappingScheme

    public void startMappingScheme()

  In this method the queue is constructed and the NREP_MS_Thread is initialized and started.

  Specified by:
    `startMappingScheme` in class `MappingScheme`
  See Also:
    `MappingScheme.startMappingScheme()`

### stopMappingScheme

    public void stopMappingScheme()

  The NREP_MS_Thread is stopped.

  Specified by:
    `stopMappingScheme` in class `MappingScheme`
  See Also:
    `MappingScheme.stopMappingScheme()`

### handleJobTimeOut

    public void handleJobTimeOut(long jobID)

  The job is resubmitted when a timeout happens.

  Specified by:
    `handleJobTimeOut` in class `MappingScheme`
  See Also:
    `MappingScheme.handleJobTimeOut(long)`

### serverIsDown

    public void serverIsDown(int serverID)

  NREP policy is not sensitive for availability/unavailability events, thus this method is not implemented.

  Specified by:
    `serverIsDown` in class `MappingScheme`
  Parameters:
    `serverID` - the serverID of the server that became unavailable
  See Also:
    `MappingScheme.serverIsDown(int)`

### serverIsUp

    public void serverIsUp(int serverID)

  NREP policy is not sensitive. NREP policy is not sensitive for availability/unavailability events, thus this method is not implemented.

  Specified by:
    `serverIsUp` in class `MappingScheme`
  Parameters:
    `serverID` - the serverID of the server that became unavailable
  See Also:
    `MappingScheme.handleJobTimeOut(long)`

### failuresOccur

    public boolean failuresOccur()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD